/*
 * Copyright 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.build

/**
 * The list of maven group names of all the libraries in this project.
 */
object LibraryGroups {
    const val SUPPORT = "com.android.support"
    const val ANNOTATION = "androidx.annotation"
    const val APPCOMPAT = "androidx.appcompat"
    const val ASYNCLAYOUTINFLATER = "androidx.asynclayoutinflater"
    const val BROWSER = "androidx.browser"
    const val CARDVIEW = "androidx.cardview"
    const val COLLECTION = "androidx.collection"
    const val CONTENTPAGING = "androidx.contentpaging"
    const val COORDINATORLAYOUT = "androidx.coordinatorlayout"
    const val CORE = "androidx.core"
    const val CURSORADAPTER = "androidx.cursoradapter"
    const val CUSTOMVIEW = "androidx.customview"
    const val DOCUMENTFILE = "androidx.documentfile"
    const val DRAWERLAYOUT = "androidx.drawerlayout"
    const val DYNAMICANIMATION = "androidx.dynamicanimation"
    const val EMOJI = "androidx.emoji"
    const val EXIFINTERFACE = "androidx.exifinterface"
    const val FRAGMENT = "androidx.fragment"
    const val GRIDLAYOUT = "androidx.gridlayout"
    const val HEIFWRITER = "androidx.heifwriter"
    const val INTERPOLATOR = "androidx.interpolator"
    const val LEANBACK = "androidx.leanback"
    const val LEGACY = "androidx.legacy"
    const val LOADER = "androidx.loader"
    const val LOCALBROADCASTMANAGER = "androidx.localbroadcastmanager"
    const val MEDIA = "androidx.media"
    const val MEDIAROUTER = "androidx.mediarouter"
    const val PALETTE = "androidx.palette"
    const val PERCENTLAYOUT = "androidx.percentlayout"
    const val PREFERENCE = "androidx.preference"
    const val PRINT = "androidx.print"
    const val RECOMMENDATION = "androidx.recommendation"
    const val RECYCLERVIEW = "androidx.recyclerview"
    const val SLICE = "androidx.slice"
    const val SLIDINGPANELAYOUT = "androidx.slidingpanelayout"
    const val SWIPEREFRESHLAYOUT = "androidx.swiperefreshlayout"
    const val TEXTCLASSIFIER = "androidx.textclassifier"
    const val TRANSITION = "androidx.transition"
    const val TVPROVIDER = "androidx.tvprovider"
    const val VECTORDRAWABLE = "androidx.vectordrawable"
    const val VIEWPAGER = "androidx.viewpager"
    const val VIEWPAGER2 = "androidx.viewpager2"
    const val WEAR = "androidx.wear"
    const val WEBKIT = "androidx.webkit"
    const val ROOM = "android.arch.persistence.room"
    const val PERSISTENCE = "android.arch.persistence"
    const val LIFECYCLE = "android.arch.lifecycle"
    const val ARCH_CORE = "android.arch.core"
    const val PAGING = "android.arch.paging"
    const val NAVIGATION = "android.arch.navigation"
    const val JETIFIER = "com.android.support.jetifier"
}
